 *{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
 }
 
 body{
    background-color: black;
    color: white;
 }

 /* Navbar */
 .navbar{
    position: fixed;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex: 1 0 auto;
    padding: 2rem;
    margin-bottom: 2rem;
    width: 100%;
    z-index: 100;
    background-color: black;
}

 .navbar > div{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 60%;
    flex: 1 2 auto;
 }

 #logo{
    font-size: 1.5rem;
    font-style: italic;
    font-weight: bold;
    color: rgb(141, 52, 224);
    padding: 0.5rem;
 }

 #links{
   display: flex;
   justify-content: space-between;
   align-items: center;
   margin-inline: 1rem;
 }

 #links a{
    text-decoration: none;
    color: white;
    font-size: 1rem;
    padding: 0.5rem;
 }

 #links a:hover{
    font-weight: bold;
    cursor: pointer;
    background-color: rgb(141, 52, 224);
 }

 .arrow{
    background-color: #333;
    color: white;
    padding: 0.5rem;
    text-decoration: none;
    border-radius: 5px;
    right: 20px;
 }


/* main  */
main{
   overflow: hidden;
   position: relative;
   padding-top: 8rem;
   padding-inline: 2rem ;
   margin: 0 auto;
   width: 80%;
}

.intro {
   display: flex;
   justify-content: space-between;
   align-items: center;
   width: 100%;
   margin-bottom: 3rem;
}

/* intro section */

.intro h1{
   margin-bottom: 2rem;
   font-size: 2rem;
   font-style: italic;
}

.text-intro{
   width: 40%;
   line-height: 2;
}

.image{
   width: 40%;
   display: flex;
   justify-content: center;
   align-items: center;
}

/* cat-types section */

.cat-types{
   margin-bottom: 2rem;
}

.cat-types h2{
   margin-bottom: 2rem;
   font-style: italic;
}

#cats-cards{
   display: flex;
   justify-content: space-around;
   /* align-items: center; */
   flex-wrap: wrap;
   gap: 1.5rem;
}

.cat{
   display: flex;
   flex-direction: column;
   gap: 1rem;
   align-items: center;
   width: 30%;
   overflow: hidden;
   border: 1px solid #333;
   border-radius: 1rem;
   padding: 1rem;
   flex: 1 0 auto;
}

.cat-images{
   width: 60%;
}

.cat p{
   line-height: 1.5;
}

.read-more{
   color: rgb(141, 52, 224);
   font-weight: bold;
   text-decoration: none;
}

#bottom{
   display: flex;
   padding: 1rem;
   justify-content: space-between;
}

/* mobile view */
@media (max-width: 900px){
    #navbar{
        padding: 0;
        margin-bottom:1rem;
    }

    #logo{
      font-size: .8rem;
    }

    #links a{
      font-size: 0.8rem;
    }

    main{
      width: 100%;
      padding-inline: 1rem;
    }

    #navbar > div{
        display: block
    }

    .intro{ 
      display: block;
   }

   .text-intro{
      width: 100%;
   }

   .image{
      display: none;
   }

   .cat{
      width: 100%;
   }
}